@echo off

REM ---------------------------------------------------------------------------
REM  Copyright 2005,2006 WSO2, Inc. http://www.wso2.org
REM
REM  Licensed under the Apache License, Version 2.0 (the "License"); 
REM  you may not use this file except in compliance with the License.
REM  You may obtain a copy of the License at
REM
REM      http://www.apache.org/licenses/LICENSE-2.0
REM
REM  Unless required by applicable law or agreed to in writing, software
REM  distributed under the License is distributed on an "AS IS" BASIS,
REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
REM  See the License for the specific language governing permissions and
REM  limitations under the License.

rem ----------------------------------------------------------------------------

title WSO2 Web Services Application Server v2.1-RC4 Installation As A Servlet

rem ----- if JAVA_HOME is not set we're not happy ------------------------------

:checkJava
if "%JAVA_HOME%" == "" goto noJavaHome
if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
goto runIt

:noJavaHome
echo "You must set the JAVA_HOME variable before running WSO2 WSAS Installer."
goto end

:runIt
set CURRENT_DIR = %cd%
rem check the WSO2WSAS_HOME environment variable
if not "%WSO2WSAS_HOME%" == "" goto gotHome
set WSO2WSAS_HOME=%CURRENT_DIR%
if exist "%WSO2WSAS_HOME\bin\version.txt" goto okHome

rem guess the home. Jump one directory up to check if that is the home
cd ..
set WSO2WSAS_HOME=%cd%
cd %CURRENT_DIR% >> NULL

:gotHome
if not exist "%WSO2WSAS_HOME%\bin\version.txt" goto pathError

SET curDrive=%cd:~0,1%
SET wsasDrive=%WSO2WSAS_HOME:~0,1%
if not "%curDrive%" == "%wsasDrive%" %wsasDrive%:

goto okHome

set WSO2WSAS_HOME=%~dp0..
if exist "%WSO2WSAS_HOME%\bin\version.txt" goto okHome

:pathError
echo The WSO2WSAS_HOME environment variable is not defined correctly
echo This environment variable is needed to run this program
goto end

:okHome
setlocal EnableDelayedExpansion

if "%CATALINA_HOME%" == "" set CATALINA_HOME="INVALID"
if "%JBOSS_HOME%" == "" set JBOSS_HOME="INVALID"
if "%GERONIMO_HOME%" == "" set GERONIMO_HOME="INVALID"
if "%JAVA_HOME%" == "" set JAVA_HOME="INVALID"

cd %WSO2WSAS_HOME%
set WSO2WSAS_CLASSPATH=".\lib\patches";".\conf";%WSO2WSAS_CLASSPATH%
FOR %%C in (.\lib\*.jar) DO set WSO2WSAS_CLASSPATH=!WSO2WSAS_CLASSPATH!;.\lib\%%~nC%%~xC
"%JAVA_HOME%\bin\java.exe" -cp %WSO2WSAS_CLASSPATH% org.wso2.wsas.installer.InstallationManager -java_home "%JAVA_HOME%" -tomcat_home "%CATALINA_HOME%" -jboss_home "%JBOSS_HOME%"  -geronimo_home "%GERONIMO_HOME%"

if "%CATALINA_HOME%" == "INVALID" set CATALINA_HOME=""
if "%JBOSS_HOME%" == "INVALID" set JBOSS_HOME=""
if "%GERONIMO_HOME%" == "INVALID" set GERONIMO_HOME=""
if "%JAVA_HOME%" == "INVALID" set JAVA_HOME=""

cd %CURRENT_DIR% >> NULL
endlocal
rem pause so that the user is able to see the messages
pause
if not "%curDrive%" == "%wsasDrive%" %curDrive%:
:end
