<!--
  ~ Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
    <xsl:template match="*">
        <!--  Link header to be populated by java script -->
        <div id="listServiceParamEditHeader"></div>
        <!-- custom header for message display -->
        <div id="serviceConfigUpdate"></div>

        <xsl:choose>
            <xsl:when test="return">
				<div id="formset">
					<form>
						<fieldset>
							<legend>Edit service specific parameters</legend>
							<xsl:for-each select="return">
								<xsl:if test="parameter/@name!=''">
									<div style="clear:both;">
										<label style="width: 25%">&#160;<xsl:value-of select="parameter/@name"/>
										</label>
										<input type="text" size="50">
											<xsl:attribute name="value"><xsl:value-of select="normalize-space(parameter)"/></xsl:attribute>
											<xsl:attribute name="id"><xsl:value-of select="generate-id()"/></xsl:attribute>
											<xsl:attribute name="tabindex">
										 	   <xsl:value-of select="position()"/>
											</xsl:attribute>
											<xsl:if test="@locked='true'">
												<xsl:attribute name="disabled">true</xsl:attribute>
											</xsl:if>
										</input>
										<nobr>
											&#160;&#160;
											<a href="#" >
												<xsl:attribute name="class">remove_param</xsl:attribute>
												<xsl:attribute name="id"><xsl:value-of select="parameter/@name"/></xsl:attribute>
												<xsl:attribute name="onClick">javascript:removeServiceSpecificParameter(this);return false;</xsl:attribute>
											    <xsl:attribute name="title">Remove Service Parameter</xsl:attribute>
											    <xsl:attribute name="alt">Remove</xsl:attribute>
											    &#160;&#160;&#160;&#160;
											</a>
									    </nobr>
									</div>
								</xsl:if>
							</xsl:for-each>
							<div class="buttonrow">
								<!-- update button -->
								<input type="button" value="update">
									<xsl:attribute name="onClick">javascript:
										var arrayOfNames=new Array();
										var arrayOfValues=new Array();
										<xsl:for-each select="return">
											arrayOfNames[<xsl:value-of select="position()-1"/>] = '<xsl:value-of select="parameter/@name"/>';
											arrayOfValues[<xsl:value-of select="position()-1"/>] = (document.getElementById('<xsl:value-of select="generate-id()"/>').value);
										</xsl:for-each>
										processServiceOperationParameterConfigUpdate(arrayOfNames,arrayOfValues);
										return false;
									</xsl:attribute>
								</input>
								<!-- add button -->
								<input type="button" value="add">
									<xsl:attribute name="onClick">javascript:addServiceSpecificParameters();return false;</xsl:attribute>
								</input>
							</div>
						</fieldset>
					</form>
				</div>
            </xsl:when>
            <xsl:otherwise>
				<table>
					 <tr>
						 <td>No parameters found.</td>
					 </tr>
					<tr>
						<td>
							<!-- add button -->
							<input type="button" value="add">
								<xsl:attribute name="onClick">javascript:addServiceSpecificParameters();return false;</xsl:attribute>
							</input>
						</td>
					</tr>
				</table>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>


